'use strict';

const react = require('react');
const reactQuery = require('@tanstack/react-query');
const index = require('../index.cjs');
require('@tanstack/query-core');

function useQueryCallbacks(props) {
  const queryClient = reactQuery.useQueryClient(props.queryClient);
  react.useEffect(() => {
    return index.subscribeQueryCallbacks({
      queryClient,
      queryKey: props.queryKey,
      onSuccess: props.onSuccess,
      onError: props.onError,
      onSettled: props.onSettled
    });
  }, [
    props.queryKey,
    props.onSuccess,
    props.onError,
    props.onSettled
  ]);
}

exports.useQueryCallbacks = useQueryCallbacks;
