import { useEffect } from 'react';
import { useQueryClient } from '@tanstack/react-query';
import { subscribeQueryCallbacks } from '../index.mjs';
import '@tanstack/query-core';

function useQueryCallbacks(props) {
  const queryClient = useQueryClient(props.queryClient);
  useEffect(() => {
    return subscribeQueryCallbacks({
      queryClient,
      queryKey: props.queryKey,
      onSuccess: props.onSuccess,
      onError: props.onError,
      onSettled: props.onSettled
    });
  }, [
    props.queryKey,
    props.onSuccess,
    props.onError,
    props.onSettled
  ]);
}

export { useQueryCallbacks };
