import { MaybeRef } from 'vue-demi';
import { QueryKey, QueryClient } from '@tanstack/vue-query';
import { QueryCallbacks } from '../index.mjs';
import '@tanstack/query-core';

interface UseQueryCallbacksProps<TQueryFnData, TError> extends QueryCallbacks<TQueryFnData, TError> {
    queryKey: MaybeRef<QueryKey>;
    /**
     * QueryClient instance
     */
    queryClient?: QueryClient;
    /**
     * QueryClient Context Key for inject
     */
    queryClientKey?: string;
    /**
     * QueryClient ID for v5 useQueryClient()
     */
    queryClientId?: string;
}
declare function useQueryCallbacks<TQueryFnData = unknown, TError = unknown>(props: UseQueryCallbacksProps<TQueryFnData, TError>): void;

export { type UseQueryCallbacksProps, useQueryCallbacks };
